<?
$this->load->view('cpanel/header');
?>


<script>

var xmlhttp;



function GetXmlHttpObject()
{
if (window.XMLHttpRequest)
  {
  // code for IE7+, Firefox, Chrome, Opera, Safari
  return new XMLHttpRequest();
  }
if (window.ActiveXObject)
  {
  // code for IE6, IE5
  return new ActiveXObject("Microsoft.XMLHTTP");
  }
return null;
}




function dopagination(pageNumber)
{
xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }


 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var login=document.getElementById("login").value;
var fullName=document.getElementById("fullName").value;
var dept=document.getElementById("dept").value;
var phone=document.getElementById("phone").value;
var limit=document.getElementById("limit").value;


if(login=="")
login = "NULL";

if(fullName=="")
fullName = "NULL";

if(dept=="")
dept = "NULL";

if(phone=="")
phone = "NULL";


var url = "<?=site_url("user/userListPagination")?>";

var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(pageNumber) + "/"  + escape(limit) + "/" + escape(login) + "/" + escape(fullName) + "/" + escape(dept) + "/" + escape(phone) + "/" + myRandom, true);
xmlhttp.send(null);
}




function searchUser()
{

xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }



var login=document.getElementById("login").value;
var fullName=document.getElementById("fullName").value;
var dept=document.getElementById("dept").value;
var phone=document.getElementById("phone").value;

var limit=document.getElementById("limit").value;
var startoffset=0;


if(login=="")
login = "NULL";

if(fullName=="")
fullName = "NULL";

if(dept=="")
dept = "NULL";

if(phone=="")
phone = "NULL";



 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var url = "<?=site_url("user/userListPagination")?>";
var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(startoffset) + "/"  + escape(limit) + "/" + escape(login) + "/" + escape(fullName) + "/" + escape(dept) + "/" + escape(phone) + "/" + myRandom, true);
xmlhttp.send(null);



}




function stateChanged()
{
if (xmlhttp.readyState==4)
{
rowID = "pagination";
document.getElementById("loading").style.visibility = "hidden";
document.getElementById(rowID).innerHTML=xmlhttp.responseText;
}
}





</script>



<div id = "loading" style="position:absolute;top:200px;left:530px;width;100px;height:100px; bgcolor:#f2f2f2; border:0px solid #99BBE8;zindex:250;display:none;">
<img src="<?=base_url()?>images/indicator2.gif?>" border="0" />
</div>



<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td id="right">

      <img src="<?=base_url()?>images/s.gif" width="600" height="1" border="0" alt="" />
      <div id="module_info">
                  <div class="quickmenu">
                      <img src="<?=base_url()?>images/qb_remove.gif" align="baseline" width="9" height="9" border="0" alt="" />
                      <a href="<?=site_url('user/addForm')?>">Add New Administrator</a>
                  </div>

                  <span>&nbsp;&nbsp;&raquo;</span> <?=TITLE071?>  <span style='color:#BF0000'><?=$titleErrorMessage?> </span>   </div>


   <!-- Search Information -->

<fieldset class="search_box" id="advancedSearch" style="margin-bottom:0px;"><legend>Advanced Search</legend>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right">Login :</td>
    <td align="left"><input type="text" class = "formInput" name="login" id="login" value="" style="width:90px"/></td>

    <td align="right">Name :</td>
    <td align="left"><input type="text" class = "formInput" name="fullName" id="fullName" value="" style="width:90px"/></td>

    <td align="right">Phone :</td>
    <td align="left"><input type="text" class = "formInput" name="phone" id="phone" value="" style="width:90px"/></td>

    <td align="right">Dept :</td>
    <td align="left"><input type="text" class = "formInput" name="dept" id="dept" value="" style="width:90px"/></td>

    <td align="right">Records :</td>
    <td align="left">
  <select name="limit" id="limit" class = "selectFrom" onchange="searchUser();">
	<option value="<?=LIMIT_PERPAGE?>"><?=LIMIT_PERPAGE?></option>
	<option value="<?=LIMIT_PERPAGE*2?>"><?=LIMIT_PERPAGE*2?></option>
	<option value="<?=LIMIT_PERPAGE*3?>"><?=LIMIT_PERPAGE*3?></option>
	<option value="<?=LIMIT_PERPAGE*4?>"><?=LIMIT_PERPAGE*4?></option>
</select>
    </td>

<td align="left">

	<a href="#" onclick="javascript:searchUser();">
	<img src="<?=base_url()?>images/apply.gif" height="22" border="0" />
	</a>

</td>

  </tr>
</table>



</fieldset>

   <!-- End Search Information -->

    </td>
  </tr>

  <tr>
    <td>

<div id = "pagination">


	<?php
	$start = $startoffset * $limit + 1;
	$end = ($startoffset +1 )* $limit ;

	if($total<$start)
	$start = $total;

	if($total<=$end)
	$end = $total;
	?>


<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tableBorder">
  <tr>
    <td class="mainTableTitle">

      <span>&nbsp;&nbsp;&raquo;</span> <?=TITLE071?> Total : <?=$total?> Showing <?=$start?> to <?=$end?>

    </td>
  </tr>


 <tr>
    <td>

 <!-- Clinets List -->

 <table class="gbTable">

   <tr class="header">
     <td width="2%"><div align="left" style="padding-left:5px;">NR</div></td>
     <td width="9%"><div align="left" style="padding-left:5px;">Login</div></td>
     <td width="15%"><div align="left" style="padding-left:5px;">Full Name</div></td>
     <td width="12%"><div align="left" style="padding-left:5px;">Dept</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">Res</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">SIP</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">IVR</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">GW</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">Lots</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">Route</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">Tariff</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">DID</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">User</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">Report</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">Status</div></td>
 	 <td width="3%"><div align="center" style="padding-left:0px;">Edit</div></td>
 	 <td width="3%"><div align="center" style="padding-left:0px;">Del</div></td>

   </tr>



<?
$i=1;
//$userList = 0;
if(is_array($userList))
{
foreach($userList as $row)
{
$passid =$row->id;


if($row->reseller_section == 2)
$resellerCURD = "checked='checked'";
else
$resellerCURD = "";


if($row->wholesale_section == 2)
$wholeSaleCURD = "checked='checked'";
else
$wholeSaleCURD = "";


if($row->sip_section == 2)
$sipCURD = "checked='checked'";
else
$sipCURD = "";


if($row->ani_section == 2)
$aniCURD = "checked='checked'";
else
$aniCURD = "";


if($row->did_section == 2)
$didCURD = "checked='checked'";
else
$didCURD = "";


if($row->lots_section == 2)
$lotsCURD = "checked='checked'";
else
$lotsCURD = "";


if($row->rate_section == 2)
$rateCURD = "checked='checked'";
else
$rateCURD = "";


if($row->dialplan_section == 2)
$dialPlanCURD = "checked='checked'";
else
$dialPlanCURD = "";


if($row->user_section == 2)
$userCURD = "checked='checked'";
else
$userCURD = "";


if($row->report_section == 2)
$reportCURD = "checked='checked'";
else
$reportCURD = "";


if($row->status == 1)
$status = "checked='checked'";
else
$status = "";





?>

      <?

	  		if($i%2==0)
	  		 {

	  		 $str = "
	  		 		 <TR id = \"$passid\" class=\"row2 \"
	  		 		               onmousedown=\"rowPointer(this, 'down', 'row2', 'rowSel', 'rowMark')\"
	  		 		               onmouseover=\"rowPointer(this, 'over', 'row2', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row2', 'rowSel', 'rowMark')\">";


	  		 }
	  		else
	  		 {
	  			$str = "
	  					 <TR id = \"$passid\" class=\"row1 \"
	  					               onmousedown=\"rowPointer(this, 'down', 'row1', 'rowSel', 'rowMark')\"
	  					               onmouseover=\"rowPointer(this, 'over', 'row1', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row1', 'rowSel', 'rowMark')\">";
	  		 }



	  echo $str;

	  ?>

 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  id="checkActive" value="1" /></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><a href="<?=site_url('user/editForm/'.$row->id)?>" title="Eidt" ><?=$row->login?></a></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->full_name?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->dept?></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  disabled="disabled" id="checkActive" value="0"  <?=$resellerCURD?> /></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  disabled="disabled" id="checkActive" value="0"  <?=$sipCURD?> /></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  disabled="disabled" id="checkActive" value="0"  <?=$aniCURD?> /></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  disabled="disabled" id="checkActive" value="0"  <?=$wholeSaleCURD?> /></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  disabled="disabled" id="checkActive" value="0"  <?=$lotsCURD?> /></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  disabled="disabled" id="checkActive" value="0"  <?=$dialPlanCURD?> /></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  disabled="disabled" id="checkActive" value="0"  <?=$rateCURD?> /></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  disabled="disabled" id="checkActive" value="0"  <?=$didCURD?> /></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  disabled="disabled" id="checkActive" value="0"  <?=$userCURD?> /></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  disabled="disabled" id="checkActive" value="0"  <?=$reportCURD?> /></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  disabled="disabled" id="checkActive" value="0"  <?=$status?> /></td>


 <td align=center class="tableBorderAll" style="padding-left:0px;">
   <a href="<?=site_url('user/editForm/'.$row->id)?>" title="Edit User" >
   <img src="<?=base_url()?>images/contact_blue_edit.png" border="0" height="16">
   </a>
 </td>

 <td align=center  style="padding-left:0px;">
  <a href="<?=site_url('user/deleteUser/'.$row->id)?>" onclick="return confirm('Do you really want to remove this Administrator')" title="Delete" >
  <img src="<?=base_url()?>images/remove.png" border="0" height="16">
  </a>
 </td>

   </tr>

<?
$i++;
}

}

?>


 </table>

<!-- End Clients List -->

    </td>
  </tr>

  <tr>
    <td align="center" style="padding-top:5px;">

    <input type="hidden" name="login" id="login" value="<?=$login?>" />
    <input type="hidden" name="fullName" id="fullName" value="<?=$fullName?>" />
    <input type="hidden" name="dept" id="dept" value="<?=$dept?>" />
    <input type="hidden" name="phone" id="phone" value="<?=$phone?>" />
	<input type="hidden" name="limit" id="limit" value="<?=$limit?>" />
	<input type="hidden" name="startoffset" id="startoffset" value="<?=$startoffset?>" />



<?


      $p = new paginationClass;
      $p->Items($total);

      if($startoffset==0)
      $startoffset = 1;

      $p->limit($limit);
      $p->target("paginator.php");
      $p->currentPage($startoffset);
      $p->adjacents(3);
      $p->show();



?>


    </td>
  </tr>

</table>

</div>



    </td>
  </tr>

</table>


<?
$this->load->view('cpanel/left_nemu');
$this->load->view('cpanel/footer');
?>
